package cn.com.ty.lift.business.capital.service;

import cn.com.ty.lift.business.capital.dao.entity.CapitalRepairLiftRelevance;
import cn.com.ty.lift.business.capital.dao.mapper.CapitalRepairLiftRelevanceMapper;
import cn.com.ty.lift.business.library.dao.entity.model.request.LiftExtensionRequest;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author bieao
 * @date 2020/4/15
 * @description 大修电梯业务层
 */
@Service
public class CapitalRepairLiftRelevanceService extends ServiceImpl<CapitalRepairLiftRelevanceMapper, CapitalRepairLiftRelevance> {

    /**
     * @param request 项目id，公司id，维保工id
     * @param liftId 电梯id
     * @return 是否成功
     * @description 新增大修项目和电梯关联
     * @date 2020/4/15 10:18 上午
     */
    public boolean save(LiftExtensionRequest request, long liftId) {
        //新增大修项目电梯关联表
        CapitalRepairLiftRelevance relevance = new CapitalRepairLiftRelevance();
        relevance.setProjectId(request.getProjectId());
        relevance.setLiftId(liftId);
        relevance.setWorkerId(request.getWorkerId());
        relevance.setMtCompanyId(request.getMtCompanyId());
        return save(relevance);
    }
}
